package com.ys.bdtp.android.base.extensions

import android.webkit.WebResourceRequest
import java.util.regex.Pattern

/**
 * 获得请求参数
 *
 * @param   name        参数名称
 * @return  参数的值
 */
fun WebResourceRequest.param(name: String): String {
    var ret = ""
    val p = Pattern.compile("[&?]$name=([^&]*)(&|$)")
    val m = p.matcher(this.url.toString())
    while (m.find()) {
        ret = m.group(1)
    }
    return ret
} // Function param()